/[pcre]/code/trunk/configure
ViewVC logotype

Diff of /code/trunk/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 77 by nigel, Sat Feb 24 21:40:45 2007 UTC revision 79 by nigel, Sat Feb 24 21:40:52 2007 UTC
# Line 463  ac_includes_default="\ Line 463  ac_includes_default="\
463  # include <unistd.h>  # include <unistd.h>
464  #endif"  #endif"
465    
466  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX MAYBE_CPP_TARGETS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP DLLTOOL ac_ct_DLLTOOL AS ac_ct_AS OBJDUMP ac_ct_OBJDUMP CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL pcre_has_bits_type_traits pcre_has_type_traits pcre_has_long_long pcre_has_ulong_long BUILD_EXEEXT BUILD_OBJEXT CC_FOR_BUILD CXX_FOR_BUILD CFLAGS_FOR_BUILD CXXFLAGS_FOR_BUILD EBCDIC HAVE_MEMMOVE HAVE_STRERROR LINK_SIZE MATCH_LIMIT NEWLINE NO_RECURSE PCRE_MAJOR PCRE_MINOR PCRE_DATE PCRE_VERSION PCRE_LIB_VERSION PCRE_POSIXLIB_VERSION PCRE_CPPLIB_VERSION POSIX_MALLOC_THRESHOLD UCP UTF8 WIN_PREFIX ON_WINDOWS NOT_ON_WINDOWS POSIX_OBJ POSIX_LOBJ POSIX_LIB LIBOBJS LTLIBOBJS'  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP DLLTOOL ac_ct_DLLTOOL AS ac_ct_AS OBJDUMP ac_ct_OBJDUMP CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL pcre_has_bits_type_traits pcre_has_type_traits MAYBE_CPP_TARGETS pcre_has_long_long pcre_has_ulong_long BUILD_EXEEXT BUILD_OBJEXT CC_FOR_BUILD CXX_FOR_BUILD CFLAGS_FOR_BUILD CXXFLAGS_FOR_BUILD EBCDIC HAVE_MEMMOVE HAVE_STRERROR LINK_SIZE MATCH_LIMIT NEWLINE NO_RECURSE PCRE_MAJOR PCRE_MINOR PCRE_DATE PCRE_VERSION PCRE_LIB_VERSION PCRE_POSIXLIB_VERSION PCRE_CPPLIB_VERSION POSIX_MALLOC_THRESHOLD UCP UTF8 WIN_PREFIX ON_WINDOWS NOT_ON_WINDOWS POSIX_OBJ POSIX_LOBJ POSIX_LIB LIBOBJS LTLIBOBJS'
467  ac_subst_files=''  ac_subst_files=''
468    
469  # Initialize some variables set by options.  # Initialize some variables set by options.
# Line 1505  ac_compiler_gnu=$ac_cv_c_compiler_gnu Line 1505  ac_compiler_gnu=$ac_cv_c_compiler_gnu
1505    
1506    
1507  PCRE_MAJOR=6  PCRE_MAJOR=6
1508  PCRE_MINOR=0  PCRE_MINOR=1
1509  PCRE_DATE=07-Jun-2005  PCRE_DATE=21-Jun-2005
1510  PCRE_VERSION=${PCRE_MAJOR}.${PCRE_MINOR}  PCRE_VERSION=${PCRE_MAJOR}.${PCRE_MINOR}
1511    
1512    
# Line 2806  ac_link='$CC -o conftest$ac_exeext $CFLA Line 2806  ac_link='$CC -o conftest$ac_exeext $CFLA
2806  ac_compiler_gnu=$ac_cv_c_compiler_gnu  ac_compiler_gnu=$ac_cv_c_compiler_gnu
2807    
2808    
 if test -n "$ac_cv_prog_ac_ct_CXX"; then  
   MAYBE_CPP_TARGETS='$(CPP_TARGETS)'  
 fi  
 echo "Maybe-cpp-targets: '$ac_cv_prog_CXX' '$MAYBE_CPP_TARGETS'" #!!  
   
   
2809    
2810  ac_aux_dir=  ac_aux_dir=
2811  for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do  for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
# Line 3534  ia64-*-hpux*) Line 3528  ia64-*-hpux*)
3528    ;;    ;;
3529  *-*-irix6*)  *-*-irix6*)
3530    # Find out which ABI we are using.    # Find out which ABI we are using.
3531    echo '#line 3537 "configure"' > conftest.$ac_ext    echo '#line 3531 "configure"' > conftest.$ac_ext
3532    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3533    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
3534    ac_status=$?    ac_status=$?
# Line 4884  fi Line 4878  fi
4878    
4879    
4880  # Provide some information about the compiler.  # Provide some information about the compiler.
4881  echo "$as_me:4887:" \  echo "$as_me:4881:" \
4882       "checking for Fortran 77 compiler version" >&5       "checking for Fortran 77 compiler version" >&5
4883  ac_compiler=`set X $ac_compile; echo $2`  ac_compiler=`set X $ac_compile; echo $2`
4884  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 5938  else Line 5932  else
5932     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5933     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5934     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5935     (eval echo "\"\$as_me:5941: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5935: $lt_compile\"" >&5)
5936     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
5937     ac_status=$?     ac_status=$?
5938     cat conftest.err >&5     cat conftest.err >&5
5939     echo "$as_me:5945: \$? = $ac_status" >&5     echo "$as_me:5939: \$? = $ac_status" >&5
5940     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
5941       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
5942       # So say no if there are warnings       # So say no if there are warnings
# Line 6181  else Line 6175  else
6175     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
6176     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6177     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6178     (eval echo "\"\$as_me:6184: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6178: $lt_compile\"" >&5)
6179     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
6180     ac_status=$?     ac_status=$?
6181     cat conftest.err >&5     cat conftest.err >&5
6182     echo "$as_me:6188: \$? = $ac_status" >&5     echo "$as_me:6182: \$? = $ac_status" >&5
6183     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
6184       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
6185       # So say no if there are warnings       # So say no if there are warnings
# Line 6241  else Line 6235  else
6235     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
6236     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6237     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6238     (eval echo "\"\$as_me:6244: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6238: $lt_compile\"" >&5)
6239     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
6240     ac_status=$?     ac_status=$?
6241     cat out/conftest.err >&5     cat out/conftest.err >&5
6242     echo "$as_me:6248: \$? = $ac_status" >&5     echo "$as_me:6242: \$? = $ac_status" >&5
6243     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
6244     then     then
6245       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 8426  else Line 8420  else
8420    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
8421    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
8422    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
8423  #line 8429 "configure"  #line 8423 "configure"
8424  #include "confdefs.h"  #include "confdefs.h"
8425    
8426  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 8524  else Line 8518  else
8518    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
8519    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
8520    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
8521  #line 8527 "configure"  #line 8521 "configure"
8522  #include "confdefs.h"  #include "confdefs.h"
8523    
8524  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 10717  else Line 10711  else
10711     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
10712     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
10713     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
10714     (eval echo "\"\$as_me:10720: $lt_compile\"" >&5)     (eval echo "\"\$as_me:10714: $lt_compile\"" >&5)
10715     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
10716     ac_status=$?     ac_status=$?
10717     cat conftest.err >&5     cat conftest.err >&5
10718     echo "$as_me:10724: \$? = $ac_status" >&5     echo "$as_me:10718: \$? = $ac_status" >&5
10719     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
10720       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
10721       # So say no if there are warnings       # So say no if there are warnings
# Line 10777  else Line 10771  else
10771     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
10772     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
10773     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
10774     (eval echo "\"\$as_me:10780: $lt_compile\"" >&5)     (eval echo "\"\$as_me:10774: $lt_compile\"" >&5)
10775     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
10776     ac_status=$?     ac_status=$?
10777     cat out/conftest.err >&5     cat out/conftest.err >&5
10778     echo "$as_me:10784: \$? = $ac_status" >&5     echo "$as_me:10778: \$? = $ac_status" >&5
10779     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
10780     then     then
10781       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 12138  else Line 12132  else
12132    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
12133    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
12134    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
12135  #line 12141 "configure"  #line 12135 "configure"
12136  #include "confdefs.h"  #include "confdefs.h"
12137    
12138  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 12236  else Line 12230  else
12230    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
12231    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
12232    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
12233  #line 12239 "configure"  #line 12233 "configure"
12234  #include "confdefs.h"  #include "confdefs.h"
12235    
12236  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 13073  else Line 13067  else
13067     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
13068     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
13069     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
13070     (eval echo "\"\$as_me:13076: $lt_compile\"" >&5)     (eval echo "\"\$as_me:13070: $lt_compile\"" >&5)
13071     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
13072     ac_status=$?     ac_status=$?
13073     cat conftest.err >&5     cat conftest.err >&5
13074     echo "$as_me:13080: \$? = $ac_status" >&5     echo "$as_me:13074: \$? = $ac_status" >&5
13075     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
13076       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
13077       # So say no if there are warnings       # So say no if there are warnings
# Line 13133  else Line 13127  else
13127     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
13128     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
13129     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
13130     (eval echo "\"\$as_me:13136: $lt_compile\"" >&5)     (eval echo "\"\$as_me:13130: $lt_compile\"" >&5)
13131     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
13132     ac_status=$?     ac_status=$?
13133     cat out/conftest.err >&5     cat out/conftest.err >&5
13134     echo "$as_me:13140: \$? = $ac_status" >&5     echo "$as_me:13134: \$? = $ac_status" >&5
13135     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
13136     then     then
13137       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 15172  else Line 15166  else
15166     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
15167     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15168     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15169     (eval echo "\"\$as_me:15175: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15169: $lt_compile\"" >&5)
15170     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
15171     ac_status=$?     ac_status=$?
15172     cat conftest.err >&5     cat conftest.err >&5
15173     echo "$as_me:15179: \$? = $ac_status" >&5     echo "$as_me:15173: \$? = $ac_status" >&5
15174     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
15175       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
15176       # So say no if there are warnings       # So say no if there are warnings
# Line 15415  else Line 15409  else
15409     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
15410     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15411     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15412     (eval echo "\"\$as_me:15418: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15412: $lt_compile\"" >&5)
15413     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
15414     ac_status=$?     ac_status=$?
15415     cat conftest.err >&5     cat conftest.err >&5
15416     echo "$as_me:15422: \$? = $ac_status" >&5     echo "$as_me:15416: \$? = $ac_status" >&5
15417     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
15418       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
15419       # So say no if there are warnings       # So say no if there are warnings
# Line 15475  else Line 15469  else
15469     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
15470     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15471     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15472     (eval echo "\"\$as_me:15478: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15472: $lt_compile\"" >&5)
15473     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
15474     ac_status=$?     ac_status=$?
15475     cat out/conftest.err >&5     cat out/conftest.err >&5
15476     echo "$as_me:15482: \$? = $ac_status" >&5     echo "$as_me:15476: \$? = $ac_status" >&5
15477     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
15478     then     then
15479       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 17660  else Line 17654  else
17654    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
17655    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
17656    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
17657  #line 17663 "configure"  #line 17657 "configure"
17658  #include "confdefs.h"  #include "confdefs.h"
17659    
17660  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 17758  else Line 17752  else
17752    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
17753    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
17754    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
17755  #line 17761 "configure"  #line 17755 "configure"
17756  #include "confdefs.h"  #include "confdefs.h"
17757    
17758  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 19111  ac_compiler_gnu=$ac_cv_cxx_compiler_gnu Line 19105  ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
19105    
19106    
19107    
19108    for ac_header in string
19109    do
19110    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
19111    if eval "test \"\${$as_ac_Header+set}\" = set"; then
19112      echo "$as_me:$LINENO: checking for $ac_header" >&5
19113    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
19114    if eval "test \"\${$as_ac_Header+set}\" = set"; then
19115      echo $ECHO_N "(cached) $ECHO_C" >&6
19116    fi
19117    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
19118    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
19119    else
19120      # Is the header compilable?
19121    echo "$as_me:$LINENO: checking $ac_header usability" >&5
19122    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
19123    cat >conftest.$ac_ext <<_ACEOF
19124    /* confdefs.h.  */
19125    _ACEOF
19126    cat confdefs.h >>conftest.$ac_ext
19127    cat >>conftest.$ac_ext <<_ACEOF
19128    /* end confdefs.h.  */
19129    $ac_includes_default
19130    #include <$ac_header>
19131    _ACEOF
19132    rm -f conftest.$ac_objext
19133    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
19134      (eval $ac_compile) 2>conftest.er1
19135      ac_status=$?
19136      grep -v '^ *+' conftest.er1 >conftest.err
19137      rm -f conftest.er1
19138      cat conftest.err >&5
19139      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19140      (exit $ac_status); } &&
19141             { ac_try='test -z "$ac_cxx_werror_flag"
19142                             || test ! -s conftest.err'
19143      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19144      (eval $ac_try) 2>&5
19145      ac_status=$?
19146      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19147      (exit $ac_status); }; } &&
19148             { ac_try='test -s conftest.$ac_objext'
19149      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19150      (eval $ac_try) 2>&5
19151      ac_status=$?
19152      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19153      (exit $ac_status); }; }; then
19154      ac_header_compiler=yes
19155    else
19156      echo "$as_me: failed program was:" >&5
19157    sed 's/^/| /' conftest.$ac_ext >&5
19158    
19159    ac_header_compiler=no
19160    fi
19161    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
19162    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
19163    echo "${ECHO_T}$ac_header_compiler" >&6
19164    
19165    # Is the header present?
19166    echo "$as_me:$LINENO: checking $ac_header presence" >&5
19167    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
19168    cat >conftest.$ac_ext <<_ACEOF
19169    /* confdefs.h.  */
19170    _ACEOF
19171    cat confdefs.h >>conftest.$ac_ext
19172    cat >>conftest.$ac_ext <<_ACEOF
19173    /* end confdefs.h.  */
19174    #include <$ac_header>
19175    _ACEOF
19176    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
19177      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
19178      ac_status=$?
19179      grep -v '^ *+' conftest.er1 >conftest.err
19180      rm -f conftest.er1
19181      cat conftest.err >&5
19182      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19183      (exit $ac_status); } >/dev/null; then
19184      if test -s conftest.err; then
19185        ac_cpp_err=$ac_cxx_preproc_warn_flag
19186        ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
19187      else
19188        ac_cpp_err=
19189      fi
19190    else
19191      ac_cpp_err=yes
19192    fi
19193    if test -z "$ac_cpp_err"; then
19194      ac_header_preproc=yes
19195    else
19196      echo "$as_me: failed program was:" >&5
19197    sed 's/^/| /' conftest.$ac_ext >&5
19198    
19199      ac_header_preproc=no
19200    fi
19201    rm -f conftest.err conftest.$ac_ext
19202    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
19203    echo "${ECHO_T}$ac_header_preproc" >&6
19204    
19205    # So?  What about this header?
19206    case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
19207      yes:no: )
19208        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
19209    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
19210        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
19211    echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
19212        ac_header_preproc=yes
19213        ;;
19214      no:yes:* )
19215        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
19216    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
19217        { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
19218    echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
19219        { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
19220    echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
19221        { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
19222    echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
19223        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
19224    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
19225        { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
19226    echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
19227        (
19228          cat <<\_ASBOX
19229    ## ------------------------------------------ ##
19230    ## Report this to the AC_PACKAGE_NAME lists.  ##
19231    ## ------------------------------------------ ##
19232    _ASBOX
19233        ) |
19234          sed "s/^/$as_me: WARNING:     /" >&2
19235        ;;
19236    esac
19237    echo "$as_me:$LINENO: checking for $ac_header" >&5
19238    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
19239    if eval "test \"\${$as_ac_Header+set}\" = set"; then
19240      echo $ECHO_N "(cached) $ECHO_C" >&6
19241    else
19242      eval "$as_ac_Header=\$ac_header_preproc"
19243    fi
19244    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
19245    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
19246    
19247    fi
19248    if test `eval echo '${'$as_ac_Header'}'` = yes; then
19249      cat >>confdefs.h <<_ACEOF
19250    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
19251    _ACEOF
19252     pcre_has_cpp_headers="1"
19253    else
19254      pcre_has_cpp_headers="0"
19255    fi
19256    
19257    done
19258    
19259    
19260  for ac_header in bits/type_traits.h  for ac_header in bits/type_traits.h
19261  do  do
19262  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
# Line 19423  ac_link='$CC -o conftest$ac_exeext $CFLA Line 19569  ac_link='$CC -o conftest$ac_exeext $CFLA
19569  ac_compiler_gnu=$ac_cv_c_compiler_gnu  ac_compiler_gnu=$ac_cv_c_compiler_gnu
19570    
19571    
19572    if test -n "$ac_cv_prog_ac_ct_CXX" -a "$pcre_has_cpp_headers" = 1; then
19573      MAYBE_CPP_TARGETS='$(CPP_TARGETS)'
19574    fi
19575    
19576    
19577    
19578    
19579  echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5  echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
19580  echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6  echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
# Line 20630  s,@OBJEXT@,$OBJEXT,;t t Line 20782  s,@OBJEXT@,$OBJEXT,;t t
20782  s,@CXX@,$CXX,;t t  s,@CXX@,$CXX,;t t
20783  s,@CXXFLAGS@,$CXXFLAGS,;t t  s,@CXXFLAGS@,$CXXFLAGS,;t t
20784  s,@ac_ct_CXX@,$ac_ct_CXX,;t t  s,@ac_ct_CXX@,$ac_ct_CXX,;t t
 s,@MAYBE_CPP_TARGETS@,$MAYBE_CPP_TARGETS,;t t  
20785  s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t  s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
20786  s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t  s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
20787  s,@INSTALL_DATA@,$INSTALL_DATA,;t t  s,@INSTALL_DATA@,$INSTALL_DATA,;t t
# Line 20665  s,@ac_ct_F77@,$ac_ct_F77,;t t Line 20816  s,@ac_ct_F77@,$ac_ct_F77,;t t
20816  s,@LIBTOOL@,$LIBTOOL,;t t  s,@LIBTOOL@,$LIBTOOL,;t t
20817  s,@pcre_has_bits_type_traits@,$pcre_has_bits_type_traits,;t t  s,@pcre_has_bits_type_traits@,$pcre_has_bits_type_traits,;t t
20818  s,@pcre_has_type_traits@,$pcre_has_type_traits,;t t  s,@pcre_has_type_traits@,$pcre_has_type_traits,;t t
20819    s,@MAYBE_CPP_TARGETS@,$MAYBE_CPP_TARGETS,;t t
20820  s,@pcre_has_long_long@,$pcre_has_long_long,;t t  s,@pcre_has_long_long@,$pcre_has_long_long,;t t
20821  s,@pcre_has_ulong_long@,$pcre_has_ulong_long,;t t  s,@pcre_has_ulong_long@,$pcre_has_ulong_long,;t t
20822  s,@BUILD_EXEEXT@,$BUILD_EXEEXT,;t t  s,@BUILD_EXEEXT@,$BUILD_EXEEXT,;t t

Legend:
Removed from v.77  
changed lines
  Added in v.79

webmaster@exim.org
ViewVC Help
Powered by ViewVC 1.1.12